NOTE iPhone 3G Unlocker & 3Gs: 14/05/2001 Baseband + Makes Ultrasn0w 0.93 Exploit Obsolete

Just a quick heads-up: Sheriff Hashim confirmed baseband 14/05/2001 (and later) makes ultrasn0w 0.93 ‘s out to exploit. iPhone 3G and 3G users should continue to IOS 4.0 or 4.0.1 update and no future IOS releases, otherwise you will not be able to unlock your iPhone.

Ultrasn0w likely will be updated in the future or, who knows, unlocking new tools will be released. But for now, just stay away from the update button.